> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get concept schemes

GET https://api.contentful.com/organizations/{organization_id}/taxonomy/concept-schemes

Reference: https://contentful.com/developers/docs/references/content-management-api/taxonomy/get-concept-schemes

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `concept_scheme_id` (string, required) — The ID of the concept scheme.
- `organization_id` (string, required) — The ID of the organization.

### Query parameters

- `limit` (integer, optional) — Limits the maximum number of concept schemes returned (per page).
- `pageNext` (string, optional) — Pagination cursor from which to return the next page of concept schemes. Alternatively, just call the url at `pages.next` in the previous response.
- `pagePrev` (string, optional) — Pagination cursor from which to return the previous page of concept schemes. Alternatively, just use the full url from `pages.prev` in the previous response.
- `order` (enum, optional) — Options for ordering the results
  - Allowed values: `sys.createdAt`, `sys.updatedAt`, `prefLabel`, `totalConcepts`, `-sys.createdAt`, `-sys.updatedAt`, `-prefLabel`, `-totalConcepts`
- `query` (string, optional) — Full-text search query, looking at _prefLabel_, _altLabels_, _hiddenLabels_ and _notations_ fields

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "concepts": [
        {
          "sys": {
            "id": "1Py5SjffQHkGGY3dZ02W14",
            "linkType": "TaxonomyConcept",
            "type": "Link"
          }
        }
      ],
      "definition": {
        "en-US": ""
      },
      "prefLabel": {
        "en-US": "Home Products"
      },
      "sys": {
        "createdAt": "2025-12-11T04:33:20.000Z",
        "createdBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "id": "2s0F7127ajju1AVToMaCtE",
        "organization": {
          "sys": {
            "id": "0D9ZC8rLWiw6x5qizZGiRs",
            "linkType": "Organization",
            "type": "Link"
          }
        },
        "type": "TaxonomyConceptScheme",
        "updatedAt": "2025-12-11T04:33:20.000Z",
        "updatedBy": {
          "sys": {
            "id": "4FLrUHftHW3v2BLi9fzfjU",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": 0
      },
      "topConcepts": [
        {
          "sys": {
            "id": "1Py5SjffQHkGGY3dZ02W14",
            "linkType": "TaxonomyConcept",
            "type": "Link"
          }
        }
      ],
      "totalConcepts": 1,
      "uri": ""
    }
  ],
  "limit": 5,
  "pages": {
    "next": "<url>",
    "prev": "<url>"
  },
  "sys": {
    "type": "Array"
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
Please use the Javascript (Plain client) for this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const { pages, items } = await client.conceptScheme.getMany({
  organizationId: '<organization_id>',
})

// Get next page
if( pages?.next ) {
  const nextPage = await client.conceptScheme.getMany({
    organizationId: '<organization_id>',
    query: {
      pageUrl: pages.next
    }
  })
}
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
csharp
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

// Get all concept schemes
var schemes = await managementClient.GetTaxonomyConceptSchemes(organizationId, limit: 100);

// Get total number of concept schemes
var totalSchemes = await managementClient.GetTotalTaxonomyConceptSchemes(organizationId);
```